Ticket #36575

設定ファイルの場所

Open Date: 2016-08-22 20:35 Last Update: 2022-03-07 22:31

Reporter:
(del#1144)
Owner:
Status:
Closed
Component:
(None)
Priority:
6
Severity:
6
Resolution:
Accepted
File:
None
Vote
Score: 1
100.0% (1/1)
0.0% (0/1)

Details

Tera Term は古からのプログラムのため、teraterm のインストールディレクトリに設定ファイルを置いている。

VirtualStore が効いてしまうために変更したはずのファイルが見つからないなどのトラブル報告があるため、AppData?を使うようにする。

TERATERM.INI に限っては My Documents のTERATERM.INI を参照しているが、もし実装できた場合にはこれを廃止する。

  • cygterm.cfg
  • KEYBOARD.CNF
  • ssh_known_hosts
  • TERATERM.INI
  • *.log

Ticket History (3/10 Histories)

2016-08-22 20:35 Updated by: (del#1144)
  • New Ticket "設定ファイルの場所" created
2019-12-24 13:53 Updated by: doda
  • Severity Update from 5 - Medium to 6
  • Milestone Update from (None) to Tera Term 5.0
  • Resolution Update from None to Accepted
  • Details Updated
  • Priority Update from 5 - Medium to 6
Comment

影響が大きいので、メジャーバージョンアップのタイミングで実施したい。

2020-12-02 01:10 Updated by: zmatsuo
Comment
2021-11-24 22:49 Updated by: nmaya
Comment

4 ... "My Documents". VirtureStore, インストール先(teraterm)

5 ... APPDATA, インストール先(teraterm5)

の順になる想定です。

(Edited, 2021-11-24 22:50 Updated by: nmaya)
2021-12-29 01:29 Updated by: nmaya
2022-01-03 01:19 Updated by: zmatsuo
  • Owner Update from (None) to zmatsuo
2022-01-03 14:26 Updated by: nmaya
Comment

theme\ImageFile.INI もバーチャルストアに保存されていました。

ログファイルについては #43507 を切りました。

2022-01-25 21:22 Updated by: nmaya
Comment
%APPDATA%\teraterm5 (%USERPROFILE%\AppData\Roaming\teraterm5)
ログは %LOCALAPPDATA%\teraterm5 (%USERPROFILE%\AppData\Local\teraterm5)

参考

  • コピー動作 ... r9532
  • 文字コード変換 ... r9570
(Edited, 2022-01-29 12:17 Updated by: nmaya)
2022-03-07 22:30 Updated by: zmatsuo
Comment
  • theme\ImageFile.INI 以外は完了
  • theme\ImageFile.INI の部分を別チケット(Ticket #44048)へ
  • このチケットは完了とします。
    • ttssh2-dev 270
(Edited, 2022-03-07 22:30 Updated by: zmatsuo)
2022-03-07 22:31 Updated by: zmatsuo
  • Status Update from Open to Closed

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login